package com.ruoyi.system.service.operatingmanage;


import com.ruoyi.system.domain.operatingmanage.TOperatingmanageNews;

import java.util.List;

/**
 * 新闻表
 * @author wujm<wujm@eazytec.com>
 */
public interface TOperatingmanageNewsService {

    /**
     * 分页查询
     * @param tOperatingmanageNews
     * @return
     */
	List<TOperatingmanageNews> listTOperatingmanageNews(TOperatingmanageNews tOperatingmanageNews);

    /**
     * 新增
     * @param tOperatingmanageNews
     * @return
     */
    int saveTOperatingmanageNews(TOperatingmanageNews tOperatingmanageNews);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    TOperatingmanageNews getTOperatingmanageNewsById(Long id);

    /**
     * 修改
     * @param tOperatingmanageNews
     * @return
     */
    int updateTOperatingmanageNews(TOperatingmanageNews tOperatingmanageNews);

    /**
     * 删除
     * @param ids
     * @return
     */
    int batchRemove(Long[] ids);

    /**
     * 修改基础信息，不处理附件
     * @param tOperatingmanageNews
     * @return
     */
    int basicTOperatingmanageNews(TOperatingmanageNews tOperatingmanageNews);
}
